Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple
Class TupleEntryCollector

    java.lang.Object
      cascading.tuple.TupleEntryCollector

Direct Known Subclasses:
  TupleEntrySchemeCollector, TupleListCollector

    public abstract class TupleEntryCollector

extends Object

Interface TupleEntryCollector is used to allow `BaseOperation` instances to emit result `Tuple` values.

Field Summary
`protected TupleEntry` | `tupleEntry`

Constructor Summary
`protected` | `TupleEntryCollector()`
`` | `TupleEntryCollector(Fields declared)` Constructor TupleCollector creates a new TupleCollector instance.

Method Summary
`void` | `add(Tuple tuple)` Method add inserts the given `Tuple` into the outgoing stream.
`void` | `add(TupleEntry tupleEntry)` Method add inserts the given `TupleEntry` into the outgoing stream.
`void` | `close()` Method close closes the underlying resource being written to.
`protected abstract void` | `collect(TupleEntry tupleEntry)`
`void` | `setFields(Fields declared)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tupleEntry

    protected TupleEntry tupleEntry

Constructor Detail

### TupleEntryCollector

    protected TupleEntryCollector()

### TupleEntryCollector

    public TupleEntryCollector(Fields declared)

  Constructor TupleCollector creates a new TupleCollector instance.

  Parameters:
    `declared` - of type Fields

Method Detail

### setFields

    public void setFields(Fields declared)

### add

    public void add(TupleEntry tupleEntry)

  Method add inserts the given `TupleEntry` into the outgoing stream. Note the method `add(Tuple)` is more efficient as it simply calls `TupleEntry.getTuple()`;

  Parameters:
    `tupleEntry` - of type TupleEntry

### add

    public void add(Tuple tuple)

  Method add inserts the given `Tuple` into the outgoing stream.

  Parameters:
    `tuple` - of type Tuple

### collect

    protected abstract void collect(TupleEntry tupleEntry)
                             throws IOException

  Throws:
    `IOException`

### close

    public void close()

  Method close closes the underlying resource being written to.

  This method should be called when when an instance is returned via `Tap.openForWrite(cascading.flow.FlowProcess)` and no more `Tuple` instances will be written out.

  This method must not be called when an instance is returned from `getOutputCollector()` from any of the relevant `OperationCall` implementations (inside a Function, Aggregator, or Buffer).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.